低危 retrieve_file_data()函数中基于堆的缓冲区溢出

CVE编号

CVE-2018-1000517

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-06-27 05:29:00
漏洞描述
BusyBox project BusyBox wget版本在 commit 8e2174e9bd836e53c8b9c6e00d1bc6e2a718686e 之前,在busybox wget中包含一个缓冲区溢出漏洞,该漏洞可能导致堆缓冲区溢出。此攻击似乎可通过网络连接利用。此漏洞似乎在COMMIT 8e2174e9bd836e53c8b9c600d1b6e2a718686e中修复。 

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://git.busybox.net/busybox/commit/?id=8e2174e9bd836e53c8b9c6e00d1bc6e2a718686e
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 busybox busybox * Up to
(excluding)
1.29.0
运行在以下环境
系统 debian_8 busybox * Up to
(excluding)
1:1.22.0-9+deb8u2
运行在以下环境
系统 debian_9 busybox * Up to
(excluding)
1:1.22.0-19+deb9u1
运行在以下环境
系统 opensuse_Leap_15.2 busybox * Up to
(excluding)
1.26.2-lp152.5.3.1
运行在以下环境
系统 opensuse_Leap_15.3 busybox * Up to
(excluding)
1.26.2-4.5.1
运行在以下环境
系统 ubuntu_14.04 busybox * Up to
(excluding)
1:1.21.0-1ubuntu1.4
运行在以下环境
系统 ubuntu_16.04 busybox * Up to
(excluding)
1:1.22.0-15ubuntu1.4
运行在以下环境
系统 ubuntu_18.04 busybox * Up to
(excluding)
1:1.27.2-2ubuntu3.2
运行在以下环境
系统 ubuntu_20.04 busybox * Up to
(excluding)
1:1.27.2-2ubuntu5
运行在以下环境
系统 ubuntu_21.04 busybox * Up to
(excluding)
1:1.27.2-2ubuntu5
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-120 未进行输入大小检查的缓冲区拷贝(传统缓冲区溢出)
阿里云安全产品覆盖情况